# Gimp.Vector3.prototype.rotate_val

    function rotate_val(alpha: Number(gdouble), beta: Number(gdouble), gamma: Number(gdouble)): Gimp.Vector3 {
        // Gjs wrapper for gimp_vector3_rotate_val()
    }

Identical to [method@Vector3.rotate], but the vectors are passed by value rather than by reference.

alpha

  the angle (in radian) of rotation around the Z axis.

beta

  the angle (in radian) of rotation around the Y axis.

gamma

  the angle (in radian) of rotation around the X axis.

Returns

  the rotated vector.